<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Experiment Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classExperiment-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Experiment Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Experiment_8hpp_source.html">Experiment.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Experiment:</div>
<div class="dyncontent">
<div class="center"><img src="classExperiment__coll__graph.png" border="0" usemap="#Experiment_coll__map" alt="Collaboration graph"/></div>
<map name="Experiment_coll__map" id="Experiment_coll__map">
<area shape="rect" id="node2" href="classRobot.html" title="{Robot\n||+ Robot()\l+ ~Robot()\l+ BuildFromRecipe()\l+ Goto()\l+ GetPosition()\l+ SetAxisOption()\l+ UpdateAxisState()\l+ UpdateRobotState()\l+ RegisterFields()\l+ ParseRecipeFromIni()\l+ readParameters()\l+ forceMeasurement()\l+ stateManager()\l}" alt="" coords="624,2221,784,2515"/><area shape="rect" id="node35" href="classForceMeasurement.html" title="{ForceMeasurement\n|# forceUnit\l# _fieldIdForce\l# _fieldIdVoltage\l# _fieldIdAssumedForceOffset\l|+ ForceMeasurement()\l+ ~ForceMeasurement()\l+ Init()\l+ SetSensorGain()\l+ SetSensorMaxForce()\l+ SetSensorOffsetForce()\l+ SetForceUnit()\l+ TareSensor()\l+ UpdateForce()\l# GetForceAndVoltage()\l}" alt="" coords="739,2643,936,2936"/><area shape="rect" id="node4" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="200,569,341,775"/><area shape="rect" id="node14" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="461,904,611,1128"/><area shape="rect" id="node19" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="288,843,437,1189"/><area shape="rect" id="node25" href="classHardwareManager.html" title="{HardwareManager\n||+ HardwareManager()\l+ ~HardwareManager()\l+ AcquireHardware()\l+ GetAxisPointer()\l+ BuildRobot()\l+ stateManager()\l# AcquireSmaractDevices()\l# AcquireZaberDevices()\l# QueryComediDevices()\l}" alt="" coords="283,1852,464,2076"/><area shape="rect" id="node6" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="191,173,351,501"/><area shape="rect" id="node8" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="29,5,181,91"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="205,5,336,91"/><area shape="rect" id="node12" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="360,5,507,91"/><area shape="rect" id="node17" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="507,1256,699,1341"/><area shape="rect" id="node22" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="517,1409,661,1615"/><area shape="rect" id="node31" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorSystem * \&gt;\n||}" alt="" coords="484,1683,695,1768"/><area shape="rect" id="node27" href="classstd_1_1vector.html" title="{std::vector\&lt; Controller * \&gt;\n||}" alt="" coords="287,1683,460,1768"/><area shape="rect" id="node29" href="classController.html" title="{Controller\n||+ Controller()\l+ GetAxis()\l+ ~Controller()\l}" alt="" coords="320,1452,427,1572"/><area shape="rect" id="node37" href="classADCard.html" title="{ADCard\n|# dev\l# command\l# cmd\l# polynomial_converter\l# chanlist\l# range_info\l# maxdata\l# forceAcquisitionMode\l# buf\l|+ ADCard()\l+ ~ADCard()\l+ Init()\l+ GetVoltage()\l# PrepareCmdLib()\l# init_parsed_options()\l# cmd_src()\l# dump_cmd()\l}" alt="" coords="821,2195,979,2541"/><area shape="rect" id="node39" href="structparsed__options.html" title="{parsed_options\n|+ filename\l+ value\l+ subdevice\l+ channel\l+ aref\l+ range\l+ physical\l+ verbose\l+ n_chan\l+ n_scan\l+ freq\l|}" alt="" coords="845,1835,955,2093"/><area shape="rect" id="node42" href="classForceSensor.html" title="{ForceSensor\n|# gain\l# maxForce\l# offsetForce\l|+ ForceSensor()\l+ ~ForceSensor()\l+ SetGain()\l+ SetMaxForce()\l+ SetOffsetForce()\l+ GetOffsetForce()\l+ GetMaxForce()\l+ GetForce()\l}" alt="" coords="1003,2247,1133,2489"/><area shape="rect" id="node46" href="classFileManager.html" title="{FileManager\n|&#45; inParamsPath\l&#45; currentSessionPath\l&#45; experimentPrefix\l&#45; currentExperimentDirPath\lAbsolute\l&#45; isInitialized\l|+ FileManager()\l+ ~FileManager()\l+ setInParamsPath()\l+ getInParamsPath()\l+ setCurrentSessionPath()\l+ getCurrentSessionPath()\l+ setExperimentPrefix()\l+ getOutputDataPath()\l+ getOutParamsPath()\l+ getExperimentDirAbsolute()\l+ readParameters()\l+ prepareNewDirectory()\l+ isValid()\l# makeDir()\l# getFirstAvailableExperimentPath()\l}" alt="" coords="48,2161,277,2575"/><area shape="rect" id="node48" href="classTimer.html" title="{Timer\n|&#45; end\l&#45; start\l|+ Timer()\l+ ~Timer()\l+ Reset()\l+ TimeElapsedMs()\l&#45; timespecDiffMs()\l}" alt="" coords="464,2282,600,2454"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a303e6a05d99f403ff4793495a2fbff58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a303e6a05d99f403ff4793495a2fbff58">Experiment</a> ()</td></tr>
<tr class="memitem:a96058d848040e45948bbb60623711da6"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a96058d848040e45948bbb60623711da6">~Experiment</a> ()</td></tr>
<tr class="memitem:a2666b3fed68eef734107a0251ce405ce"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce">Initialize</a> ()</td></tr>
<tr class="memitem:a8a0883ab9e784e03764e48e696e9326d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a8a0883ab9e784e03764e48e696e9326d">Run</a> ()</td></tr>
<tr class="memitem:a618e7c46eeff8b7929325faa200ef26d"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a618e7c46eeff8b7929325faa200ef26d">getExperimentDirAbsolute</a> ()</td></tr>
<tr class="memitem:a66f0d618c92aba22b1608f1463ba73b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classFileManager.html">FileManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a66f0d618c92aba22b1608f1463ba73b6">fileManager</a> ()</td></tr>
<tr class="memitem:a08348cb9f17221c846c3a060536aba41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a08348cb9f17221c846c3a060536aba41">stateManager</a> ()</td></tr>
<tr class="memitem:aee5dc7e1ab2b81608a7e410a2965b125"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classHardwareManager.html">HardwareManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#aee5dc7e1ab2b81608a7e410a2965b125">hardwareManager</a> ()</td></tr>
<tr class="memdesc:aee5dc7e1ab2b81608a7e410a2965b125"><td class="mdescLeft">&#160;</td><td class="mdescRight">needs to be able to initialize logger with path suppplied by fileManager  <a href="#aee5dc7e1ab2b81608a7e410a2965b125"></a><br/></td></tr>
<tr class="memitem:a6a36bf1369f8182b04521945d6cd7602"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classRobot.html">Robot</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a6a36bf1369f8182b04521945d6cd7602">robot</a> ()</td></tr>
<tr class="memitem:a56c8d186c0f14e64259ec07a0828cab4"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a56c8d186c0f14e64259ec07a0828cab4">TimeElapsedMs</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a5dddf66033c1647de6887ae478616021"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classFileManager.html">FileManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a5dddf66033c1647de6887ae478616021">_fileManager</a></td></tr>
<tr class="memitem:a6bd067df8c3101694f7ea7dc5b627ec4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a6bd067df8c3101694f7ea7dc5b627ec4">_stateManager</a></td></tr>
<tr class="memitem:aea02f08fda51ead05d12b59f9b08faa8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classTimer.html">Timer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#aea02f08fda51ead05d12b59f9b08faa8">_timer</a></td></tr>
<tr class="memitem:a5ff303d8500ff59b299949927ab28cf7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classHardwareManager.html">HardwareManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a5ff303d8500ff59b299949927ab28cf7">_hardwareManager</a></td></tr>
<tr class="memitem:a40ca4ea7a8abb75c6108ab186b12ba31"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classRobot.html">Robot</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a40ca4ea7a8abb75c6108ab186b12ba31">_robot</a></td></tr>
<tr class="memitem:a5be17d7d003f13cf9585f616d14167dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="Factory_8hpp.html#ac382ea009b4d4cfc84e9bde8ea23392e">ProtocolPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html#a5be17d7d003f13cf9585f616d14167dd">protocol</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a303e6a05d99f403ff4793495a2fbff58"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Experiment::Experiment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classExperiment_a303e6a05d99f403ff4793495a2fbff58_cgraph.png" border="0" usemap="#classExperiment_a303e6a05d99f403ff4793495a2fbff58_cgraph" alt=""/></div>
<map name="classExperiment_a303e6a05d99f403ff4793495a2fbff58_cgraph" id="classExperiment_a303e6a05d99f403ff4793495a2fbff58_cgraph">
<area shape="rect" id="node3" href="classTimer.html#ae7c0c1e7d12de4b8a6e7c64e451cdd2a" title="Timer::Reset" alt="" coords="216,5,315,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a96058d848040e45948bbb60623711da6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Experiment::~Experiment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="a66f0d618c92aba22b1608f1463ba73b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classFileManager.html">FileManager</a> &amp; Experiment::fileManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a618e7c46eeff8b7929325faa200ef26d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Experiment::getExperimentDirAbsolute </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classExperiment_a618e7c46eeff8b7929325faa200ef26d_cgraph.png" border="0" usemap="#classExperiment_a618e7c46eeff8b7929325faa200ef26d_cgraph" alt=""/></div>
<map name="classExperiment_a618e7c46eeff8b7929325faa200ef26d_cgraph" id="classExperiment_a618e7c46eeff8b7929325faa200ef26d_cgraph">
<area shape="rect" id="node3" href="classFileManager.html#a10b093c38ffeeee2da54a22234856ad2" title="FileManager::getExperiment\lDirAbsolute" alt="" coords="236,5,420,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aee5dc7e1ab2b81608a7e410a2965b125"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classHardwareManager.html">HardwareManager</a>&amp; Experiment::hardwareManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>needs to be able to initialize logger with path suppplied by fileManager </p>

</div>
</div>
<a class="anchor" id="a2666b3fed68eef734107a0251ce405ce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Experiment::Initialize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>&lt;Initializes the="" experiment&gt;=""&gt; </p>
<dl class="section return"><dt>Returns</dt><dd>true for success, false for failure </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classExperiment_a2666b3fed68eef734107a0251ce405ce_cgraph.png" border="0" usemap="#classExperiment_a2666b3fed68eef734107a0251ce405ce_cgraph" alt=""/></div>
<map name="classExperiment_a2666b3fed68eef734107a0251ce405ce_cgraph" id="classExperiment_a2666b3fed68eef734107a0251ce405ce_cgraph">
<area shape="rect" id="node3" href="classParms.html#ab0d9acbb8f7ac20ef7719b05dd53818b" title="Parms::isLoaded" alt="" coords="256,5,376,35"/><area shape="rect" id="node5" href="Factory_8hpp.html#a260e511783256d65c1e55ed23434f7c9" title="factory" alt="" coords="285,59,347,88"/><area shape="rect" id="node11" href="classFactory.html#aecc4c03b2954c223b8596f5a5f61ee7b" title="Factory::protocol" alt="" coords="256,112,376,141"/><area shape="rect" id="node13" href="classFileManager.html#a5089ace85f5f2952583571741fb20ffe" title="FileManager::readParameters" alt="" coords="220,165,412,195"/><area shape="rect" id="node15" href="classFileManager.html#ad5ac8b0193b2ab342c1dd9e331f6ca14" title="FileManager::prepareNewDirectory" alt="" coords="204,219,428,248"/><area shape="rect" id="node21" href="classStateManager.html#aa2c9c7aae881dee54ba447a4d28796a6" title="StateManager::logger" alt="" coords="243,272,389,301"/><area shape="rect" id="node23" href="classDataLogger.html#a70a9bb50309609e4823b35fee5f5407e" title="DataLogger::SetFilename" alt="" coords="231,325,401,355"/><area shape="rect" id="node25" href="classFileManager.html#aab945adb1c65b3cfe94a36f9c97ad3cd" title="FileManager::getOutputDataPath" alt="" coords="209,379,423,408"/><area shape="rect" id="node27" href="classFileManager.html#a10b093c38ffeeee2da54a22234856ad2" title="FileManager::getExperiment\lDirAbsolute" alt="" coords="224,431,408,478"/><area shape="rect" id="node29" href="classFileManager.html#aae5650b5a65d4b849b0baaeeeb03e0cb" title="FileManager::getCurrentSessionPath" alt="" coords="199,501,433,531"/><area shape="rect" id="node31" href="classFileManager.html#a680f33430c4c16c272899b822c66d306" title="FileManager::getOutParamsPath" alt="" coords="211,555,421,584"/><area shape="rect" id="node33" href="classHardwareManager.html#a7f475fb32f5841c667be165675e5da77" title="HardwareManager::BuildRobot" alt="" coords="216,608,416,637"/><area shape="rect" id="node41" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6" title="Robot::readParameters" alt="" coords="237,661,395,691"/><area shape="rect" id="node53" href="classParms.html#a256c20317703bd47a21489d72d358ec3" title="Parms::write" alt="" coords="268,776,364,805"/><area shape="rect" id="node7" href="classFactory.html#aa3472cb7ee0cf2a3368b9127a6dba236" title="Factory::instance" alt="" coords="537,59,660,88"/><area shape="rect" id="node9" href="classFactory.html#ac792bf88cfb7b6804b479529da5308cc" title="Factory::Factory" alt="" coords="796,59,913,88"/><area shape="rect" id="node17" href="classFileManager.html#ae30932726a6c59ecc8c037fe6d5d6b8d" title="FileManager::getFirstAvailable\lExperimentPath" alt="" coords="500,179,697,226"/><area shape="rect" id="node19" href="classFileManager.html#aea0016bb5b4b03b328fad7e91d609fe9" title="FileManager::makeDir" alt="" coords="524,249,673,279"/><area shape="rect" id="node35" href="classParms.html#aa6041b7843059839d6dd2e7098ee40b6" title="Parms::all" alt="" coords="559,547,639,576"/><area shape="rect" id="node37" href="classParms.html#aa97f61a21d8b4253bdb13291bc6fe705" title="Parms::extractValues" alt="" coords="781,520,928,549"/><area shape="rect" id="node39" href="classParms.html#ad6a4dd0a3a4d43815ff643922d67856d" title="Parms::readValue" alt="" coords="792,573,917,603"/><area shape="rect" id="node43" href="classRobot.html#ac115f5f04d44b46899a4424ed2157080" title="Robot::forceMeasurement" alt="" coords="512,600,685,629"/><area shape="rect" id="node45" href="classForceMeasurement.html#a3f42e8b4b54d18c7db9efc89b52b011d" title="ForceMeasurement::SetSensor\lMaxForce" alt="" coords="497,653,700,699"/><area shape="rect" id="node49" href="classForceMeasurement.html#a34e8231b10f5544090399faf29e90f1e" title="ForceMeasurement::SetSensorGain" alt="" coords="484,723,713,752"/><area shape="rect" id="node47" href="classForceSensor.html#a5f2044a55ffffec962204f02f2eb0fb2" title="ForceSensor::SetMaxForce" alt="" coords="764,661,945,691"/><area shape="rect" id="node51" href="classForceSensor.html#a30772feffe31fe028a562686548d3747" title="ForceSensor::SetGain" alt="" coords="780,723,929,752"/><area shape="rect" id="node55" href="structParms_1_1section__t.html#ac1b7ad551296323f8d6f29d51b96c679" title="Parms::section_t::keys" alt="" coords="520,776,677,805"/><area shape="rect" id="node57" href="structParms_1_1section__t.html#af822b34b36b63a5c89332f5143732839" title="Parms::section_t::value" alt="" coords="519,829,679,859"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6a36bf1369f8182b04521945d6cd7602"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classRobot.html">Robot</a> &amp; Experiment::robot </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8a0883ab9e784e03764e48e696e9326d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Experiment::Run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a08348cb9f17221c846c3a060536aba41"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a> &amp; Experiment::stateManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a56c8d186c0f14e64259ec07a0828cab4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Experiment::TimeElapsedMs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classExperiment_a56c8d186c0f14e64259ec07a0828cab4_cgraph.png" border="0" usemap="#classExperiment_a56c8d186c0f14e64259ec07a0828cab4_cgraph" alt=""/></div>
<map name="classExperiment_a56c8d186c0f14e64259ec07a0828cab4_cgraph" id="classExperiment_a56c8d186c0f14e64259ec07a0828cab4_cgraph">
<area shape="rect" id="node3" href="classTimer.html#a90949155d335a3edec5efb209270e285" title="Timer::TimeElapsedMs" alt="" coords="245,5,403,35"/><area shape="rect" id="node5" href="classTimer.html#a3a66a53ead9a9ee4f79cd4522df2ba9c" title="Timer::timespecDiffMs" alt="" coords="451,5,605,35"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="a5dddf66033c1647de6887ae478616021"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classFileManager.html">FileManager</a> Experiment::_fileManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5ff303d8500ff59b299949927ab28cf7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classHardwareManager.html">HardwareManager</a> Experiment::_hardwareManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a40ca4ea7a8abb75c6108ab186b12ba31"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classRobot.html">Robot</a> Experiment::_robot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a6bd067df8c3101694f7ea7dc5b627ec4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classStateManager.html">StateManager</a> Experiment::_stateManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aea02f08fda51ead05d12b59f9b08faa8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classTimer.html">Timer</a> Experiment::_timer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5be17d7d003f13cf9585f616d14167dd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="Factory_8hpp.html#ac382ea009b4d4cfc84e9bde8ea23392e">ProtocolPtr</a> Experiment::protocol</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Experiment_8hpp_source.html">Experiment.hpp</a></li>
<li><a class="el" href="Experiment_8cpp.html">Experiment.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
